Exit/cancel a commitment.
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/exit
Body Parameters
- bodypayment.pricing.commitments.exit_clauses.CommitmentExitRequest.in
- customerIdstringrequiredDescription
- commitmentIdstringrequiredDescription
- exitClauseIdstringDescription
Responses
200
- boolean
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/exit \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"customerId": "",
"commitmentId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"customerId": "",
"commitmentId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/exit", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/exit")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"customerId": "",
"commitmentId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/exit"
payload = json.dumps({
"customerId": "",
"commitmentId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
false